import { openBlock as t, createElementBlock as i, createElementVNode as n } from "vue";
const r = ["width", "height", "fill"], l = ["xlink:href"], a = {
  __name: "SSvg",
  props: {
    name: String,
    size: [String, Number],
    color: String
  },
  setup(e) {
    return (o, c) => (t(), i("svg", {
      "aria-hidden": "true",
      width: e.size,
      height: e.size,
      fill: e.color
    }, [
      n("use", {
        "xlink:href": `#icon-${e.name}`
      }, null, 8, l)
    ], 8, r));
  }
};
export {
  a as default
};
